import {BasePage, Carousel, Label, Overlay, Toast, Button} from "teaset";
import React from "react";
import {
    ActivityIndicator,
    Dimensions,
    FlatList,
    Image, PermissionsAndroid, Platform,
    ScrollView,
    AsyncStorage,
    StyleSheet,
    TouchableOpacity,
    TouchableWithoutFeedback,
    View,
    Text,
    RefreshControl,
    Animated, Easing, DeviceEventEmitter
} from "react-native";
import {connect} from "react-redux";
import CustomPage from "../common/CustomPage";
import { getHomeList } from '../apis/home';

@connect(
    state => ({
    }), dispatch => ({
    })
)
export default class HomePage extends CustomPage {

    static defaultProps = {
        ...BasePage.defaultProps,
        backgroundColor: 'transparent',
        titleStyle: {color: '#000', fontWeight: 'bold', fontSize: 18},
        title: '会员中心',
    };

    async componentDidMount() {
        this.getData();
    }

    async getData(){
        try{
            const res = await getHomeList({page: 1, page_size: 20});
            console.log({res});
        } catch(e){
            console.log({e});
        }
    }

    renderPage(){
        return <View style={{flex: 1}}>
            
        </View>
    }
}